﻿
/* *******************************************************************************************************
    ONLY LAYOUT SPECIFIC OVERRIDES SHOULD BE PLACED HERE
    STATUS COLORS ARE DEFINED VIA WEB.CONFIG.PATCH.XML
******************************************************************************************************* */

/* **********************************************
SIDEBAR
********************************************** */
.hover-block .logo,
.sidebar {
    background-color: #000 !important;
}

/* initial */
mat-toolbar .main-nav .nav-item button .mat-icon,
mat-toolbar .main-nav .nav-item button .nav-desc,
mat-toolbar .main-nav .nav-item button .reporting-label,
mat-toolbar + .settings .nav-item button .mat-icon,
mat-toolbar + .settings .nav-item button .nav-desc,
mat-toolbar .nav-item.more-wrapper button i {
  color: #fff !important;
}
/* hover */
mat-toolbar .main-nav .nav-item button:hover .mat-icon,
mat-toolbar .main-nav .nav-item button:hover .nav-desc,
mat-toolbar .main-nav .nav-item button:hover .reporting-label,
mat-toolbar + .settings .nav-item button:hover .mat-icon,
mat-toolbar + .settings .nav-item button:hover .nav-desc {
  color: #000 !important;
}
mat-toolbar .main-nav .nav-item button:hover,
mat-toolbar + .settings .nav-item button:hover {
  background-color: #ddd !important;
}
/* active ( + hover ) */
mat-toolbar .main-nav .nav-item .active-tab button,
mat-toolbar .main-nav .nav-item .active-tab button:hover .mat-icon,
mat-toolbar .main-nav .nav-item .active-tab button:hover .nav-desc,
mat-toolbar + .settings .nav-item .active-tab button,
mat-toolbar + .settings .nav-item .active-tab button:hover .mat-icon,
mat-toolbar + .settings .nav-item .active-tab button:hover .nav-desc {
  color: #fff !important;
  background-color: #00adef  !important;
}
/* clicked reporting submenu */
mat-toolbar .main-nav .nav-item button.prio.reporting.cdk-mouse-focused {
  background-color: #ddd !important;
}
mat-toolbar .main-nav .nav-item button.prio.reporting.cdk-mouse-focused .mat-icon,
mat-toolbar .main-nav .nav-item button.prio.reporting.cdk-mouse-focused .reporting-label {
  color: #000 !important;
}
/* admin */
.md-settings mat-toolbar .main-nav .nav-item button .nav-desc {
  color: #000 !important;
}
.md-settings mat-toolbar .main-nav .nav-item .active-tab button .nav-desc {
  color: #fff !important;
}

/* **********************************************
  TREE
********************************************** */
.core-wrapper .headerWrapper,
.core-wrapper .tree .tree-positioning .brand-logo-wrapper,
.core-wrapper .tree .fancytree-container {
    background-color: #fff;
}
.core-wrapper .tree .tree-positioning {
    box-shadow: none;
    border: 0;
}

.core-wrapper .mm-header {
    background-color: #000 !important;
}

mar-tree-toggler {
    color: #fff !important;
    background-color: #000 !important;
}
mar-tree-toggler:hover i {
    color: #00adef !important;
}
.mm-header .context .current {
    color: #fff !important;
}
.mm-header .mini-breadcrumb {
    color: #fff !important;
}

.core-wrapper mm-global-search-area .global-search-area .search-area .search .input-group-btn .btn {
    color: #fff !important;
}
.core-wrapper mm-global-search-area .global-search-area .search-area .search:hover .input-group-btn .btn {
    color: #000 !important;
}
.core-wrapper .bookmark-tab .bookmark-setter {
    color: #fff !important;
}
.core-wrapper .bookmark-tab .bookmark-setter.open,
.core-wrapper .bookmark-tab .bookmark-setter:focus,
.core-wrapper .bookmark-tab .bookmark-setter:hover {
    color: #00adef !important;
}
.core-wrapper .mm-header .user-options .dropdown .dropdown-toggle {
    color: #fff !important;
}
.core-wrapper .mm-header .user-options .dropdown:hover .dropdown-toggle {
    color: #00adef !important;
}
.core-wrapper .tree .fancytree-container .fancytree-node .fancytree-title,
.core-wrapper .tree .fancytree-container .fancytree-node.fancytree-has-children .fancytree-title,
.core-wrapper .tree .fancytree-container .fancytree-node.fancytree-has-children .fancytree-expander,
.core-wrapper .tree .fancytree-container.fancytree-treefocus .fancytree-node.fancytree-has-children .fancytree-title,
.core-wrapper .tree .fancytree-container.fancytree-treefocus .fancytree-node.fancytree-has-children .fancytree-expander {
    color: #000 !important;
}

.core-wrapper #tree .fancytree-container .fancytree-node.fancytree-active .fancytree-expander,
.core-wrapper #tree .fancytree-container .fancytree-node.fancytree-active .fancytree-title,
.core-wrapper #tree .fancytree-container.fancytree-treefocus .fancytree-node.fancytree-active .fancytree-expander,
.core-wrapper #tree .fancytree-container.fancytree-treefocus .fancytree-node.fancytree-active .fancytree-title {
    color: #00adef !important;
    /* background-color: initial; */
}
.core-wrapper .fancytree-active .icon.fa {
    color: #00adef !important;
}

/* **********************************************
  HEADER
********************************************** */

.action-menu-wrapper .action-menu .selected-action {
    background-color: #00adef !important;
}
.header-notifications .btn,
.header-notifications .btn.btn-danger {
    color: #fff !important;
}
.core-wrapper .mm-header .header-notifications .btn.btn-danger:hover,
.core-wrapper .mm-header .header-notifications .btn.btn-danger:focus {
    color: #00adef !important;
}
.core-wrapper .mm-header .header-notifications .btn.btn-danger strong {
    background-color: #00adef !important;
}
.no-focus-outline .core-wrapper .header-notifications .btn.btn-danger:focus strong {
    background-color: #00adef !important;
}

.confidential-info {
    position: fixed;
    top: 54px;
    right: 78px;
    font-size: 10px;
    text-shadow: 0 1px 0 #000;
    text-align: right;
    width: 120px;
    color: #d9534f;
    line-height: 16px;
}

.privacy-wrapper {
    position: absolute;
    top: 31px;
    left: auto;
    right: 525px;
    line-height: 18px;
    text-transform: uppercase;
    z-index: 2;
}

.privacy-wrapper .privacy-link {
    display: inline-block !important;
    height: 17px;
    line-height: 18px;
    font-size: 11px;
    padding: 0 24px;
    color: #fff;
    background-repeat: no-repeat;
    background-color: transparent;
    background-position: top left;
    vertical-align: top;
}

.privacy-wrapper .privacy-link:hover {
    color: #00adef;
}

.privacypolicy-tabs a {
    color: rgb(0, 0, 238)
}

.state-login .privacy-policy-wrapper {
    display: none;
}
/* **********************************************
  GENERIC
********************************************** */
.core-wrapper .contentDetail .btn-save {
    background-color: #00adef !important;
    color: #fff;
}

.news-overview-list .brand-logo-wrapper {
  display: none !important;
}

/* **********************************************
  RESPONSIVE STUFF
********************************************** */
@media (max-width: 1350px) {
    .privacy-wrapper {
        top: 10px;
        right: 60px;
    }
    .privacy-wrapper {
        display: none !important;
    }
}

/* **********************************************
  PRINT
********************************************** */
@media print {
    .core-wrapper .mm-header {
        background-color: transparent !important;
    }
}

/* **********************************************
  M5 OVERRIDES
********************************************** */

/* **********************************************
  TOPBAR
********************************************** */

.mui-topbar {
    background-color: #000 !important;
    color: #fff;
}

.mui-topbar mui-plain-button mui-icon {
    color: #fff;
}

.mui-topbar mui-plain-button:hover mui-icon {
    color: #00adef;
}

.topbar-confidential-info {
    position: fixed;
    top: 56px;
    right: 110px;
    font-size: 10px;
    text-shadow: 0 1px 0 #000;
    text-align: right;
    width: 120px;
    color: #d9534f;
    line-height: 16px;
}

.mui-topbar .privacy-wrapper {
    display: block !important;
}

/* **********************************************
  SIDEBAR
********************************************** */

.mui-sidebar-bg {
    background-color: #000 !important;
}

.sidebar-link-item button {
    color: white;
}

.sidebar-link-item mui-icon,
.sidebar-link-item mui-icon + div {
    color: #fff;
}

.sidebar-link-item:hover mui-icon,
.sidebar-link-item:hover mui-icon + div {
    color: #00adef !important;
}

.sidebar-link-item:hover button {
    background-color: #ddd;
}

.sidebar-link-item.sidebar-link-active button {
    background-color: #00adef !important;
    color: #fff !important;
}


.privacy-wrapper .one-pro {
    display: inline-block;
    position: absolute;
    width: 70px;
    height: 22px;
    top: 0px;
    left: auto;
    background: url(../app/img/one_mrm_logo_negativ_RGB.png) left center no-repeat;
    background-size: contain;
    vertical-align: top;
}

